/*
 * @wanfu for audit
 */
$(document).ready(function(){
	$("#subNav span.sub2").click(function(){
		var _href = $(this).attr('href');
		window.location.assign(_href);
	});
	
	//个人信息栏的js控制
	$("#divselect").click(function(){
		$("#divselect ul").slideToggle("fast");
	});
	
	//搜索输入框的样式改变
	$("#searchBar input[name='searchValue']").focus(function(){
		$(this).val("");
	});
	$("#searchBar input[name='searchValue']").blur(function(){
		if($(this).val()== ""){
			$(this).val("请输入需要搜索的内容");
		}
	});
	
	//checkbox是否选中
	$(document).on('click' ,'table th input:checkbox', function(){
		var that = this;
		$(this).closest('table').find('tr > td:first-child input:checkbox')
			.each(function(){
			this.checked = that.checked;
		});
	});
	
	//页面中审核通过，审核不通过，未审核链接跳转按钮
	$('#selectConditionBar a').click(function(){
		var n = $(this).index();
		console.log(n);
		$('#selectConditionBar a').css('border-bottom','2px solid #f4f5f7');	
		$(this).css('border-bottom','2px solid #36aeea');
		if($(this).html() == "全部"){
			$("#searchBar input[name=checked]").val(null);
		}
		if($(this).html() == "审核通过"){
			$("#searchBar input[name=checked]").val(1);
		}
		if($(this).html() == "审核未通过"){
			$("#searchBar input[name=checked]").val(2);
		}
		if($(this).html() == "未审核"){
			$("#searchBar input[name=checked]").val(0);
		}
		console.info($("#searchBar input[name=checked]").val());
		$('#serachData_img').click();
	});
	
	/*
	 * 实现分页跳转
	 */
	$(document).on('click','#pagecontent .pagination ul li a[href]',function(){
		var _page = $(this).attr('href').substr(1);//获取当前点击的页码
		var _form = $('#pagecontent .search-form');
		_form.find('input:hidden[name="page"]').val(_page);//将当前点击的页码赋值给搜索form中页码输入框
		_form.find('img').click();//触发搜索
		return false;
	});
	
	//导出excel
	$(document).on('click','#footBar .exportExcel',function(){
		var _href = $(this).attr('href');
		var $searchValue = $("#searchBar .search-form input[name=searchValue]")
		if($searchValue.val() == "请输入需要搜索的内容"){
			$searchValue.val(null);
		};
		var _form = $('#pagecontent .search-form');
		var _param = _form.serialize();
		window.location.assign(_href + "?" + _param);
		return false;
	});
	
	//@wanfu
	//搜索数据
	$(document).on('click','#serachData_img',function(){
		console.info($(this));
		var $searchValue = $("#searchBar .search-form input[name=searchValue]")
		if($searchValue.val() == "请输入需要搜索的内容"){
			$searchValue.val(null);
		};
		var _form = $('#pagecontent .search-form');
		var _url = _form.attr('action');
		var _param = _form.serialize();
		console.log("search url:"+_url+", param:"+_param);
		$.post(_url, _param, function(data) {
			$('#tableList').html(data);
		});
		if($searchValue.val() == null || $searchValue.val() == ''){
			$searchValue.val("请输入需要搜索的内容");
		};
		return false;
	});

	//批量审核
	$(document).on('click','#searchBar button[href]',function() {
		console.info($(this));
		var $this = $(this);
		//找到所有以选中的checkbox
		var _checkboxes = $('table tbody input:checkbox:checked');
		//如果有选中的checkbox，执行函数
		if (_checkboxes.size()>0) {
			console.log("[debug]click a's label:"+$this.text());
			// 防止二次点击
			$this.attr('disabled', 'disabled');
			//获取点击的button的href属性的值
			var _url = $this.attr("href");
			console.log("选中的url：" + _url);
			//将选中的checkbox序列化
			var _param = _checkboxes.serialize();
			console.log("选中的checkbox：" + _param);
			
			var _text = $(this).text();
			if(_text == '批量通过'){
				//get请求，地址_url，后端会调用对应controller方法并接受参数，返回数据为data传给回调函数
				$.post(_url,_param,function(data){
					if(data == "ok"){
						$this.removeAttr('disabled');
						$('#serachData_img').click();
					} else {
						$this.removeAttr('disabled');
						bootbox.alert("审核失败!");
					}
				})
			} else{
				 bootbox.prompt("请输入审核不通过的理由", function(result) {
		            if(result === null){
		            	$this.removeAttr('disabled');
		            } else if (result == '') {
		            	$this.removeAttr('disabled');
		            	bootbox.alert("请输入审核不通过的理由");
		            } else {
		            	console.info(_url);
		            	//get请求，地址_url，后端会调用对应controller方法并接受参数，返回数据为data传给回调函数
		            	$.post(_url,_param,function(data){
		            		if(data == "ok"){
		            			$this.removeAttr('disabled');
		            			$('#serachData_img').click();
							} else {
								$this.removeAttr('disabled');
								bootbox.alert("审核失败!");
							}
						})
		            }
		        });
			}
		};
		return false;
	});

	//表格中的审核按钮
	$(document).on("click",'#pagecontent .table .unlabeled',function(){
		//点击按钮的href属性的值
		var _href = $(this).attr('href');
		var $this = $(this);
		console.info("aaa1:" + _href);
		//如果href的值不为空，未定义，且不等于#，执行函数
		if (_href != undefined && _href && _href != '#') {
			// 防止二次点击
			$this.attr('disabled', 'disabled');
			console.log("[debug]click a's label:" + $this.text());
			var _text = $this.text();
			if(_text == '审核通过'){
				//get请求，地址_url，后端会调用对应controller方法并接受参数，返回数据为data传给回调函数
				$.get(_href,function(data){
					if(data == "ok"){
						$this.removeAttr('disabled');
						$('#serachData_img').click();
					} else {
						$this.removeAttr('disabled');
						bootbox.alert("审核失败!");
					}
				})
			} else{
				 bootbox.prompt("请输入审核不通过的理由", function(result) {
		            if(result === null){
		            	$this.removeAttr('disabled');
		            } else if (result == '') {
		            	$this.removeAttr('disabled');
		            	bootbox.alert("请输入审核不通过的理由");
		            } else {
		            	var _url = _href + '&memo=' + result;
		            	console.info(_url);
		            	//get请求，地址_url，后端会调用对应controller方法并接受参数，返回数据为data传给回调函数
		            	$.get(_url,function(data){
		            		if(data == "ok"){
		            			$this.removeAttr('disabled');
		            			$('#serachData_img').click();
							} else {
								$this.removeAttr('disabled');
								bootbox.alert("审核失败!");
							}
						})
		            }
		        });
			}
			return false;
		}
	});
});